Skip to content

Get initial container statistics

GET
/container/{ocid}/stats
curl --request GET \
--url https://sylve.lan:8181/api/container/1/stats \
--header 'Authorization: <Authorization>'

Get the finest available CPU and memory usage window for a container

ocid
required
integer

Container ID

Success

Media typeapplication/json
object
data
object
historyState
string
Allowed values: available never-recorded outside-supported-range
lastSampleAt
string
points
Array<object>
object
containerId
integer
cpuUsage
number
createdAt
string
id
integer
memoryUsage
number
resolvedStep
string
Allowed values: minutely hourly daily weekly monthly yearly
error
string
message
string
status
string
Example
{
"data": {
"historyState": "available",
"resolvedStep": "minutely"
}
}